### Method

# Gimp Config serialize_to_file

since: 2.10

#### Declaration [src]

    gboolean
    gimp_config_serialize_to_file (
      GimpConfig* config,
      GFile* file,
      const gchar* header,
      const gchar* footer,
      gpointer data,
      GError** error
    )

#### Description [src]

Serializes the object properties of `config` to the file specified by `file`. If a file with that name already exists, it is overwritten. Basically this function opens `file` for you and calls the serialize function of the `config`‘s `GimpConfigInterface`.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  The file to write the configuration to.

  The data is owned by the caller of the method.

`header`

  Type: `const gchar*`

  Optional file header (must be ASCII only).

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`footer`

  Type: `const gchar*`

  Optional file footer (must be ASCII only).

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `gpointer`

  User data passed to the serialize implementation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if serialization succeeded, `FALSE` otherwise.